datangraphics

## Class GraphicsWithHistogramAndPolyline

- java.lang.Object
- - datangraphics.GraphicsWithHistogramAndPolyline

-     public class GraphicsWithHistogramAndPolyline
      extends java.lang.Object

  A class producing a graphics with histogram and polyline.
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsWithHistogramAndPolyline(java.lang.String frametitle, java.lang.String filename, double[] xpl, double[] ypl, Histogram hist, java.lang.String textX, java.lang.String textY, java.lang.String caption)` Produces a plot with a histogram and a polyline.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphicsWithHistogramAndPolyline

          public GraphicsWithHistogramAndPolyline(java.lang.String frametitle,
                                          java.lang.String filename,
                                          double[] xpl,
                                          double[] ypl,
                                          Histogram hist,
                                          java.lang.String textX,
                                          java.lang.String textY,
                                          java.lang.String caption)

      Produces a plot with a histogram and a polyline.
      Parameters:
        `frametitle` - title of DatanGraphicsFrame; if frameTitle is blank the no DatanGraphicsFrame is initialized.
        `filename` - name of Postscript file - has to end with either ".ps" (for postscript) or ".eps" (for encapsulated postscript). If filename is blank, no file is initialized.
        `xpl` - x coordinates of polyline
        `ypl` - y coordinates of polyline
        `hist` - histogram
        `textX` - text for x axis
        `textY` - text for y axis
        `caption` - text for caption of plot